;-------------------------------------------------------------
;   Menulib: 2 menu functions
;		by the Doors Team
;	xvassor@mail.dotcom.fr   or	deucalion@mail.dotcom.fr
;		http://doorshome.home.ml.org
;-------------------------------------------------------------


menulib::bigmenu	equ	menulib@0000
;-------------------------------------------------------
; bigmenu(x,y,nbitem,txtlist,iconlist)
;
;	draws a big menu with icons
;
;Input:	d0.w = x
;	d1.w = y
;	d2.b = nbitem
;	a0.l = text list
;	a1.l = icon list
;
;Output: d0.w = Selected Item
;	 d1.w = Last key pressed
;	 d2.w = 0  -> ENTER pressed
;		Otherwise, another key has been pressed
;-------------------------------------------------------
menulib::smallmenu	equ	menulib@0001
;-------------------------------------------------------
; smallmenu(x,y,nbitem,txtlist)
;
;	Draws a small menu without icons.
;	This function restores the part of the screen it takes,
;  so you don't have to redraw it.
;
;Input:	d0.w = x
;	d1.w = y
;	d2.b = nbitem
;	a0.l = text list
;
;Output: d0.w = Selected Item
;	 d1.w = Last key pressed
;	 d2.w = 0  -> ENTER pressed
;		Otherwise, another key has been pressed
;If there is not enough memory to save the screen, the menu won't be displayed
;
;-------------------------------------------------------
;NOTE: see menuexpl.asm for better explanation
